Venflow API
V1ClientesCustomer_idSuscripciones

Listar Suscripciones for un Cliente

GET
/v1/customers/{customer_id}/subscriptions
Api-Key<token>

Tu clave API privada (comienza con pvk_)

In: header

Organization<token>

Tu ID de organización

In: header

Path Parameters

customer_idstring
Formatuuid

Query Parameters

limit?integer
Range1 <= value <= 100
starting_after?string
Formatuuid
ending_before?string
Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.venflow.app/v1/customers/497f6eca-6276-4993-bfeb-53cbbbba6f08/subscriptions"
{
  "data": [
    {
      "billing_cycles": 0,
      "billing_cycles_completed": 0.1,
      "cancel_at_period_end": true,
      "collection_mode": "engine",
      "created": 0.1,
      "current_period_end": 0.1,
      "current_period_start": 0.1,
      "customer": "string",
      "discount": {
        "amount_off": 0,
        "duration": "once",
        "duration_periods": 0,
        "id": "string",
        "name": "string",
        "percent_off": 0,
        "remaining_periods": 0
      },
      "id": "string",
      "livemode": true,
      "metadata": {
        "property1": "string",
        "property2": "string"
      },
      "object": "subscription",
      "plan": "string",
      "scheduled_start_date": "string",
      "status": "string",
      "trial_end": 0,
      "trial_start": 0
    }
  ],
  "has_more": true,
  "object": "list",
  "url": "string"
}
{
  "code": "not_found",
  "details": {},
  "message": "string"
}
{
  "code": "not_found",
  "details": {},
  "message": "string"
}
{
  "code": "not_found",
  "details": {},
  "message": "string"
}
{
  "code": "not_found",
  "details": {},
  "message": "string"
}
{
  "code": "not_found",
  "details": {},
  "message": "string"
}
{
  "code": "not_found",
  "details": {},
  "message": "string"
}